<h1 align="center" style="border-bottom: none">
    <b>
        <a href="https://tolgee.io">Tolgee</a><br>
    </b>
    An open-source localization platform<br/> developers enjoy to work with
    <br>
</h1>

<div align="center">

[![Logo](https://user-images.githubusercontent.com/18496315/188628892-33fcc282-26f1-4035-8105-95952bd93de9.svg)](https://tolgee.io)

An open-source alternative to Crowdin, Phrase or Lokalise

![example workflow](https://github.com/tolgee/server/actions/workflows/test.yml/badge.svg)
![kotlin](https://img.shields.io/github/languages/top/tolgee/server)
[![docker](https://img.shields.io/docker/v/tolgee/tolgee/latest?label=DockerHub)](https://hub.docker.com/repository/docker/tolgee/tolgee)
[![github release](https://img.shields.io/github/v/release/tolgee/server?label=GitHub%20Release)](https://github.com/tolgee/server/releases/tag/v1.2.1)
![licence](https://img.shields.io/github/license/tolgee/server)
[![github stars](https://img.shields.io/github/stars/tolgee/tolgee-js?style=social&label=Tolgee%20JS)](https://github.com/tolgee/tolgee-js)
[![github stars](https://img.shields.io/github/stars/tolgee/server?style=social&label=Tolgee%20Server)](https://github.com/tolgee/server)
[![Github discussions](https://img.shields.io/github/discussions/tolgee/tolgee-platform)](https://github.com/tolgee/tolgee-platform/discussions)
</div>


<div align="center">

[<img src="https://img.shields.io/badge/-Facebook-424549?style=social&logo=facebook" height=25 />](https://www.facebook.com/Tolgee.i18n)
[<img src="https://img.shields.io/badge/-Twitter-424549?style=social&logo=twitter" height=25 />](https://twitter.com/Tolgee_i18n)
[<img src="https://img.shields.io/badge/-Linkedin-424549?style=social&logo=linkedin" height=25 />](https://www.linkedin.com/company/tolgee)



**Become part of the family. Join [slack channel <img src="https://img.shields.io/badge/-Tolgee Comunity-424549?style=social&logo=slack" height=25 />](https://join.slack.com/t/tolgeecommunity/shared_invite/zt-195isb5u8-_RcSRgVJfvgsPpOBIok~IQ)**

</div>


![Tolgee](https://user-images.githubusercontent.com/18496315/188632536-3547fd70-755c-4a32-9b1e-fb1afbf84b33.png)

## Quick links
- [Tolgee Website](https://tolgee.io)
  - Product (Learn more about the great features)
    - [Dev tools](https://tolgee.io/features/dev-tools)
    - [Translation assistance](https://tolgee.io/features/translation-assistance)
    - [Collaboration](https://tolgee.io/features/collaboration)
- Integrations (Learn how to integrate Tolgee with you favourite technology)
  - [React](https://tolgee.io/integrations/react)
  - [Angular](https://tolgee.io/integrations/angular)
  - [Vue](https://tolgee.io/integrations/vue)
  - [Svelte](https://tolgee.io/integrations/svelte)
  - [Next.js](https://tolgee.io/integrations/next)
  - [Gatsby](https://tolgee.io/integrations/gatsby)
  - [More...](https://tolgee.io/integrations/all)
- [Tolgee platform docs](https://tolgee.io/docs/platform)
  - [Self-hosting](https://tolgee.io/docs/platform/self_hosting/running_with_docker)
- [Development notes (How to develop Tolgee locally)](https://github.com/tolgee/tolgee-platform/wiki/Development)

## Why to use Tolgee?

Beacause it saves a lot of time you would spend on localization tasks without it. Because it enables you to provide perfectly translated software. 

![Frame 47](https://user-images.githubusercontent.com/18496315/188637819-ac4eb02d-7859-4ca8-9807-27818a52782d.png)

### In context translating & One click screenshots

Add translations in the code, and translate them directly in the app with the Tolgee i18n tool. Clicking an element while holding the ALT/option key opens a dialog where you can simply modify your strings. No need to edit large .json/.po/.whatever file. In-context translating works great also in the production environment.

Once. That's how many times you have to click to take a screenshot from your application with highlighted phrases to translate. Just ALT + click a string and hit the camera button. Boom! Screenshot generated.

![Sep-06-2022 16-38-49](https://user-images.githubusercontent.com/18496315/188672133-064d2a26-e414-4f5e-ab43-549af8cb2145.gif)

### Translating on production

In-context translating also works in the production environment of your deployed app. Using the Tolgee Tools Chrome plugin, you can simply provide your API key and start translating. This enables anybody without developer knowledge to translate your app.

### True integrations

Tolgee is not just another localization platform offering integrations that just sync your local data with the backend. Tolgee is truly integrated into your app via SDKs.

### Machine translation

We support DeepL, Google Translate, and AWS Translate. Select which services you want to use in the settings section. The machine translation features make the whole localization process significantly faster. Translators can just use translation suggestions provided by third-party machine translation services.

### Translation memory

Tolgee automatically makes suggestions from translations you already used in the project so you can translate similar phrases in a similar way.

Translation memory suggestions also show the similarity percentage, the key, and the original text of the translated string.

### Auto translation

When enabled, Tolgee automatically translates new keys using translation memory or machine translation services. Your strings are translated immediately, right after creation. Select if you would like to use translation memory and/or which machine translation service you would like to use to automatically translate new keys.

### Activity log

See who modified, reviewed or commented on the phrases in your project. Clearly.

### Comment on translations

Something look off? Tell others what you would change. You can comment every translation on Tolgee platform.

### Translation history

See the changes to specific translations of a specific key in a specific language. Something is wrong? You know where to point the finger!

For more detailed documentation about Tolgee, visit [tolgee.io](https://tolgee.io).

## Quickstart 🚀

1. Sign up at [app.tolgee.io](https://app.tolgee.io/sign_up) or access your self-hosted instance
2. Create a project
3. Follow a guide in integration section of your project
4. Have fun!

![Integration guides](https://user-images.githubusercontent.com/18496315/188818166-d70d4676-7bd2-4328-91eb-720add935ab6.gif)

## Contributors

<a href="https://github.com/tolgee/tolgee-platform/graphs/contributors">
  <img alt="contributors" src="https://contrib.rocks/image?repo=tolgee/tolgee-platform"/>
</a>

## Launching Tolgee Rewards
 Contributed to Tolgee? Here is a big thank you from our community to you.
 Claim your badge and showcase them with pride.
 Let us inspire more folks !

 ![Tolgee Badges](https://aviyel.com/assets/uploads/rewards/share/project/28/512/share.png)
 ### **[Claim Now!](https://aviyel.com/projects/28/tolgee/rewards)**

Let us know what you think! #feedbackwanted ❤️
